*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${addRanksAsyncUrl}    IRankService

*** Keywords ***
AddRanksAsyncPost
    [Arguments]    ${token}    ${rankInfos}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    RankInfos    ${rankInfos}
    ${body}    Generate Params    AddRanksAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${addRanksAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
