*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getAllRanksAsyncUrl}    IRankService

*** Keywords ***
GetAllRanksAsyncPost
    [Arguments]    ${token}    ${rankCode}    ${organizationCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${rankCodes}    Split String    ${rankCode}    ,
    Set To Dictionary    ${param}    RankCodes    ${rankCodes}
    ${organizationCodes}    Split String    ${organizationCode}    ,
    Set To Dictionary    ${param}    OrganizationCodes    ${organizationCodes}
    ${body}    Generate Params    GetAllRanksAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getAllRanksAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
