*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${url}            IDeviceService

*** Keywords ***
GetPersonDeviceListAsyncPost
    [Arguments]    ${token}    ${pageIndex}    ${pageSize}    ${keyWord}    ${deviceType}    ${deviceModel}    ${isOnline}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    PageIndex    ${pageIndex}
    Set To Dictionary    ${param}    PageSize    ${pageSize}
    Set To Dictionary    ${param}    KeyWord    ${keyWord}
    Set To Dictionary    ${param}    DeviceType    ${deviceType}
    Set To Dictionary    ${param}    DeviceModel    ${deviceModel}
    Set To Dictionary    ${param}    IsOnline    ${isOnline}
    ${body}    Generate Params    GetPersonDeviceListAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${url}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
