*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${addOrganizationsAsyncUrl}    IOrganizationService

*** Keywords ***
AddOrganizationsAsyncPost
    [Arguments]    ${token}    ${organizationInfos}    ${languageCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    OrganizationInfos    ${organizationInfos}
    Set To Dictionary    ${param}    LanguageCode    ${languageCode}
    ${body}    Generate Params    AddOrganizationsAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${url}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
