*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getLangugeDataListAsyncUrl}    IOrganizationService

*** Keywords ***
GetLangugeDataListAsyncPost
    [Arguments]    ${token}    ${langugeKey}    ${langugeDataItemList}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    LangugeKey    ${langugeKey}
    Set To Dictionary    ${param}    LangugeDataItemList    ${langugeDataItemList}
    ${body}    Generate Params    GetLangugeDataListAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getLangugeDataListAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
